import 'vasat_model.dart';

class DeviceType extends VasatModel<DeviceType> {

  String? deviceModel;
  String? deviceOSName;
  String? deviceMake;
  String? deviceOSVersion;

  DeviceType({Map<String, dynamic>? json, this.deviceMake, this.deviceModel, this.deviceOSName, this.deviceOSVersion}) {
    fromJson(json);
    super.fromJson(json);
  }

  factory DeviceType.fromJson(Map<String, dynamic>? json) {
    return DeviceType(json:json);
  }

  @override
  fromJson(Map<String, dynamic>? json) {
    if (json != null) {
      deviceModel = json['deviceModel'];
      deviceOSName = json['deviceOSName'];
      deviceMake = json['deviceMake'];
      deviceOSVersion = json['deviceOSVersion'];
    }
  }


  @override
  Map<String, dynamic> toJson() {
    var obj = super.toJson();
    obj["deviceModel"] = deviceModel;
    obj["deviceOSName"] = deviceOSName;
    obj["deviceMake"] = deviceMake;
    obj["deviceOSVersion"] = deviceOSVersion;
    return obj;
  }

  @override
  DeviceType copyFromJson(Map<String, dynamic> json) {
    return DeviceType.fromJson(json);
  }


}