import 'vasat_model.dart';

class User extends VasatModel<User> {

  String? email;
  String? username;

  User({Map<String, dynamic>? json}) {
    fromJson(json);
    super.fromJson(json);
  }

  factory User.fromJson(Map<String, dynamic> json) {
    return User(json:json);
  }

  @override
  fromJson(Map<String, dynamic>? json) {
    if (json != null) {
      email = json['email'];
      username = json['username'];
    }
  }


  @override
  Map<String, dynamic> toJson() {
    var obj = super.toJson();
    obj["email"] = email;
    obj["username"] = username;
    return obj;
  }

  @override
  User copyFromJson(Map<String, dynamic> json) {
    return User.fromJson(json);
  }


}