
class VasatError implements Exception {

  final int status;
  final String message;
  Exception? exception;

  VasatError(this.status, this.message, [this.exception]);

  VasatError.fromMap(Map<String, dynamic> error) : status = error["status"], message = error["message"];

  String toString() {
    Object message = this.message;
    if (message == null) return "Exception";
    return "Status ${(status > 0) ? status : "-1"} Exception: $message";
  }
}